io.vertx.servicediscovery.types

## Interface RedisDataSource

- All Superinterfaces:
    DataSource, ServiceType

      public interface RedisDataSource
      extends DataSource

  Service type for Redis data source.
  Author:
    Eric Zhao

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TYPE`
    `static String` | `TYPE`

    - ### Fields inherited from interface io.vertx.servicediscovery.types.DataSource

      `DS_TYPE`

    - ### Fields inherited from interface io.vertx.servicediscovery.spi.ServiceType

      `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, JsonObject location, JsonObject metadata)` Convenient method to create a record for a Redis data source.
    `static void` | `getRedisClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static void` | `getRedisClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration, Handler<AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.

    - ### Methods inherited from interface io.vertx.servicediscovery.types.DataSource

      `createRecord, getDataSourceMetadata`

    - ### Methods inherited from interface io.vertx.servicediscovery.spi.ServiceType

      `get, name`

- - ### Field Detail

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_TYPE

          static final String DEFAULT_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createRecord

          static Record createRecord(String name,
                                     JsonObject location,
                                     JsonObject metadata)

      Convenient method to create a record for a Redis data source.
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### getRedisClient

          static void getRedisClient(ServiceDiscovery discovery,
                                     JsonObject filter,
                                     Handler<AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getRedisClient

          static void getRedisClient(ServiceDiscovery discovery,
                                     JsonObject filter,
                                     JsonObject consumerConfiguration,
                                     Handler<AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
        `resultHandler` - The result handler

Copyright © 2016. All rights reserved.